Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.compiler.generator
Class IdlToJava

    java.lang.Object
      |
      +--org.openorb.compiler.generator.IdlToJava

public class IdlToJava
extends java.lang.Object

This class generates all mapping for IDL descriptions.

Author:
  Jerome Daniel

Field Summary
`IdlObject` | `_root` Reference to the compilation graph
`java.lang.String` | `current_pkg` Current package
`static java.lang.String` | `tab`
`static java.lang.String` | `tab1`
`static java.lang.String` | `tab2`
`static java.lang.String` | `tab3`
`static java.lang.String` | `tab4`
`static java.lang.String` | `tab5`
`static java.lang.String` | `tab6`

Constructor Summary
`IdlToJava()` Default constructor

Method Summary
`void` | `addDescriptiveHeader(java.io.PrintWriter output, IdlObject obj)` Add a descriptive header in a Java file
`void` | `addPackageName(java.io.PrintWriter output)`
`void` | `addToPkg(IdlObject obj, java.lang.String name)` Construct a package name
`java.io.File` | `createDirectory(java.lang.String name, java.io.File writeInto)` Creates a directory
`java.io.File` | `createPrefixDirectories(java.lang.String prefix, java.io.File writeInto)` Creates the directories corresponding to a CORBA ID prefix
`java.io.PrintWriter` | `fileAccess(java.io.File writeInto)` Allows to get an access on write to a target file
`int` | `final_kind(IdlObject obj)` Returns the final type of a data type
`IdlObject` | `final_type(IdlObject obj)` Returns the final definition of a data type
`java.lang.String` | `find_default_value(IdlObject obj)` Search the default value for an union
`java.lang.String` | `fullname(IdlObject obj)` Returns the complete name of a CORBA object
`java.lang.String` | `get_array_name(IdlObject obj)` Return simple array name or null else
`IdlContext` | `getContext(IdlObject obj)` Return the context associated with an operation
`java.io.File` | `getDirectory(java.lang.String name, java.io.File writeInto)` Get a write access in a directory
`java.io.File` | `getPrefixDirectories(java.lang.String prefix, java.io.File writeInto)` Get a writing access to a directory corresponding to a CORBA ID prefix
`java.lang.String` | `IdlEspaceCharToJavaEscapeChar(java.lang.String expr)` Change the IDL escape characters into CORBA escape characters
`java.lang.String` | `IdlScopeToJavaScope(java.lang.String expr, boolean complete, boolean fixed, IdlObject obj)` Translate a Scope IDL Ident::Ident into Scoped Java Ident.Ident.value
`java.lang.String` | `inversedPrefix(java.lang.String prefix)` Change a prefix order : omg.org -> org.omg
`boolean` | `isAbstractBaseInterface(IdlObject obj)` This function is used to test if an interface has some inherits from bases abstracts interfaces
`boolean` | `isEmpty(IdlObject obj)` Check a type is empty in terms of type union, struct or enum
`boolean` | `isEmptyInterface(IdlObject obj)` This method an interface is empty in terms of type typedef, union, exception...
`boolean` | `isEmptyValue(IdlObject obj)` This method check a value type is empty in terms of type typedef, union, exception...
`boolean` | `isEnumCase(java.lang.String expr)` Check if the the id is an enum member
`boolean` | `isHexaCar(char c)` Allow to test if the character is an hexa number
`boolean` | `isInto(java.util.List opList, IdlObject obj)` Check if the operation or the attribute is already in the list
`boolean` | `isNativeDefinition(IdlObject obj)` Retur true if a definition exists for a native type
`boolean` | `isSameScope(java.lang.String ident, IdlObject obj)` Returns true if the element passed as argument is in the same scope as the second argument.
`boolean` | `isTruncatable(IdlObject obj)` This function looks for a truncatable interface in value type inheritance
`void` | `javadoc(java.io.PrintWriter output, IdlObject obj)` Add a JavaDoc comment
`java.io.PrintWriter` | `newFile(java.io.File writeInto, java.lang.String name)` Creates a new Java file
`void` | `printConcreteTypeCode(IdlObject obj, java.io.PrintWriter output)` This function prints the concrete base value type TypeCode
`void` | `printNativeDefinition(IdlObject obj, java.io.PrintWriter output)` Print the type translated corresponding to a natibe type definition
`int` | `recursion(IdlObject obj)` Find include depth for an object
`java.lang.String` | `removePackageName(java.lang.String expr)` Delete the package of an id
`void` | `translate_any_insert(IdlObject obj, java.io.PrintWriter output, java.lang.String aname, java.lang.String tname)` Translate an any insert
`void` | `translate_attribute_stub_stream(IdlObject obj, java.io.PrintWriter output)` Translate an attribute with Stream mode
`void` | `translate_attribute_stub(IdlObject obj, java.io.PrintWriter output)` Translate an attribute
`void` | `translate_attribute_tie(IdlObject obj, java.io.PrintWriter output)` Translate an attribute for a TIE approach
`void` | `translate_attribute(IdlObject obj, java.io.PrintWriter output)` Translate an attribute
`void` | `translate_comment_section(java.io.PrintWriter output, java.lang.String description, IdlObject obj)` Translate a JavaDoc comments section
`void` | `translate_constant(IdlObject obj, java.io.File writeInto, java.io.PrintWriter print)` Translate a constant
`void` | `translate_enum(IdlObject obj, java.io.File writeInto)` Translate an enumeration
`void` | `translate_exception(IdlObject obj, java.io.File writeInto)` Translate an exception
`void` | `translate_interface_operations(IdlObject obj, java.io.File writeInto)` Translate the operations declaration of an interface
`void` | `translate_interface_skel(IdlObject obj, java.io.File writeInto)` Translate a skeleton for an interface
`void` | `translate_interface_stub(IdlObject obj, java.io.File writeInto)` Translate a syub for an interface
`void` | `translate_interface_tie(IdlObject obj, java.io.File writeInto)` Translate a TIE approach for an interface
`void` | `translate_interface(IdlObject obj, java.io.File writeInto)` Translate an interface
`void` | `translate_marshalling_data(IdlObject obj, java.io.PrintWriter output, java.lang.String outname, java.lang.String tname)` Encode a data type
`void` | `translate_marshalling_member(IdlObject obj, java.io.PrintWriter output, java.lang.String outname, java.lang.String tname, java.lang.String space)` Encode a member data type
`void` | `translate_marshalling(IdlObject obj, java.io.PrintWriter output, java.lang.String outname, java.lang.String tname)` Encode a data type
`void` | `translate_module(IdlObject obj, java.io.File writeInto, int translateType)` Translate a module
`void` | `translate_native(IdlObject obj, java.io.File writeInto)` Translate a native type
`void` | `translate_new_typecode(IdlObject obj, java.io.PrintWriter output)` Construct a new TypeCode
`void` | `translate_object_content(IdlObject obj, java.io.File writeInto, int translateType)` Translate an object content
`void` | `translate_object(IdlObject obj, java.io.File writeInto, int translateType)` Translate the data from a container object (Module, Interface, Root)
`void` | `translate_operation_skel_stream(IdlObject obj, java.io.PrintWriter output)` Translate an operation for a skeleton with Stream mode
`void` | `translate_operation_skel(IdlObject obj, java.io.PrintWriter output)` Translate an operation for a skeleton
`void` | `translate_operation_stub_stream(IdlObject obj, java.io.PrintWriter output)` Translate an operation in Stream mode
`void` | `translate_operation_stub(IdlObject obj, java.io.PrintWriter output)` Translate an operation
`void` | `translate_operation_tie(IdlObject obj, java.io.PrintWriter output)` Translate an operation for the TIE approach
`void` | `translate_operation(IdlObject obj, java.io.PrintWriter output)` Translate an operation
`void` | `translate_parameter(IdlObject obj, java.io.PrintWriter output, int attr)` Translate a parameter
`void` | `translate_read_attribute_skel_stream(IdlObject obj, java.io.PrintWriter output)` Translate a read attribute for a Stream mode skeleton
`void` | `translate_read_attribute_skel(IdlObject obj, java.io.PrintWriter output)` Translate a read attribute for a skeleton
`void` | `translate_state_member(IdlObject obj, java.io.PrintWriter output)` Translate a value type state
`void` | `translate_struct(IdlObject obj, java.io.File writeInto)` Translate the structure
`java.lang.String` | `translate_to_java_expression(java.lang.String expr, boolean fixed, IdlObject obj)` Translate an IDL expression into a Java expression
`java.lang.String` | `translate_to_union_case_expression(IdlUnionMember disc, java.lang.String expr)` Translate an IDL expression into an union expression
`void` | `translate_type(IdlObject obj, java.io.PrintWriter output)` Translate a data type
`void` | `translate_typecode(IdlObject obj, java.io.PrintWriter output)` Translate a TypeCode
`void` | `translate_typedef(IdlObject obj, java.io.File writeInto)` Translate a typedef
`void` | `translate_union(IdlObject obj, java.io.File writeInto)` Translate an union
`void` | `translate_unmarshalling_data(IdlObject obj, java.io.PrintWriter output, java.lang.String inname)` Decode a data type
`void` | `translate_unmarshalling_member(IdlObject obj, java.io.PrintWriter output, java.lang.String inname, java.lang.String tname, java.lang.String space)` Encode a member data type
`void` | `translate_unmarshalling(IdlObject obj, java.io.PrintWriter output, java.lang.String inname)` Decode a data type
`void` | `translate_user_attribute(IdlObject obj, java.io.PrintWriter output)` Translate an attribute for the user code
`void` | `translate_user_interface(IdlObject obj, java.io.File writeInto)` Translate an interface for the user
`void` | `translate_user_module(IdlObject obj, java.io.File writeInto)` Translate a user module
`void` | `translate_user_object(IdlObject obj, java.io.File writeInto)` Translate the data from a container object (Module, Interface, Root) for the user code
`void` | `translate_user_operation(IdlObject obj, java.io.PrintWriter output)` Translate an operation for the user code
`void` | `translate_value_box(IdlObject obj, java.io.File writeInto)` Translate a Value Box
`void` | `translate_value_type(IdlObject obj, java.io.File writeInto)` Translate a Value Type
`void` | `translate_write_attribute_skel_stream(IdlObject obj, java.io.PrintWriter output)` Translate a write attribute for a Stream mode skeleton
`void` | `translate_write_attribute_skel(IdlObject obj, java.io.PrintWriter output)` Translate a write attribute for a skeleton
`void` | `translateData(IdlObject obj, java.lang.String packageName)` Translate the data from IDL to Java
`void` | `translateSkeleton(IdlObject obj, java.lang.String packageName)` Creates the skeleton
`void` | `translateStub(IdlObject obj, java.lang.String packageName)` Creates the stub
`void` | `translateTIE(IdlObject obj, java.lang.String packageName)` Create the class for the delegation
`void` | `translateUser(IdlObject obj, java.lang.String packageName)` Generate the user code (implementation class)
`void` | `write_helper(IdlObject obj, java.io.File writeInto)` Add a Helper for a data type
`void` | `write_holder(IdlObject obj, java.io.File writeInto)` Add an holder for a data type
`void` | `writeDefaultAttribute(java.io.PrintWriter output, IdlAttribute obj)`
`void` | `writeDefaultMethods(java.io.PrintWriter output, IdlObject obj, java.util.Set ids)`
`void` | `writeDefaultMethodsForInterfaces(java.io.PrintWriter output, java.util.List list, java.util.Set ids)`
`void` | `writeDefaultMethodsForValueTypes(java.io.PrintWriter output, java.util.List list, java.util.Set ids)`
`void` | `writeDefaultOperation(java.io.PrintWriter output, IdlOp obj)`
`void` | `writeDefaultValueFactory(IdlValue obj, java.io.File writeInto)`
`void` | `writeDefaultValueImpl(IdlValue obj, java.io.File writeInto)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tab

    public static final java.lang.String tab

### tab1

    public static final java.lang.String tab1

### tab2

    public static final java.lang.String tab2

### tab3

    public static final java.lang.String tab3

### tab4

    public static final java.lang.String tab4

### tab5

    public static final java.lang.String tab5

### tab6

    public static final java.lang.String tab6

### current_pkg

    public java.lang.String current_pkg

  Current package

### _root

    public IdlObject _root

  Reference to the compilation graph

Constructor Detail

### IdlToJava

    public IdlToJava()

  Default constructor

Method Detail

### isNativeDefinition

    public boolean isNativeDefinition(IdlObject obj)

  Retur true if a definition exists for a native type
  Parameters:
    `obj` - native object
  Returns:
    true if a definition exists

### printNativeDefinition

    public void printNativeDefinition(IdlObject obj,
                                      java.io.PrintWriter output)

  Print the type translated corresponding to a natibe type definition
  Parameters:
    `obj` - native object
    `output` - file where definition is added
  Returns:
    true if a definition exists

### fileAccess

    public java.io.PrintWriter fileAccess(java.io.File writeInto)

  Allows to get an access on write to a target file
  Parameters:
    `writeInto` - Target file descriptor
  Returns:
    write access

### inversedPrefix

    public java.lang.String inversedPrefix(java.lang.String prefix)

  Change a prefix order : omg.org -> org.omg
  Parameters:
    `prefix` - the prefix to inverse
  Returns:
    the inversed prefix

### newFile

    public java.io.PrintWriter newFile(java.io.File writeInto,
                                       java.lang.String name)

  Creates a new Java file
  Parameters:
    `writeInto` - the directory where the file must be created
    `name` - file name (without .java extension)
  Returns:
    write access

### createDirectory

    public java.io.File createDirectory(java.lang.String name,
                                        java.io.File writeInto)

  Creates a directory
  Parameters:
    `name` - the directory name to create
    `writeInto` - the directory in which the search has to appear

### createPrefixDirectories

    public java.io.File createPrefixDirectories(java.lang.String prefix,
                                                java.io.File writeInto)

  Creates the directories corresponding to a CORBA ID prefix
  Parameters:
    `prefix` - the prefix
    `writeInto` - the directory in which the search has to appear

### getDirectory

    public java.io.File getDirectory(java.lang.String name,
                                     java.io.File writeInto)

  Get a write access in a directory
  Parameters:
    `name` - the directory name
    `writeInto` - the directory in which the search has to appear

### getPrefixDirectories

    public java.io.File getPrefixDirectories(java.lang.String prefix,
                                             java.io.File writeInto)

  Get a writing access to a directory corresponding to a CORBA ID prefix
  Parameters:
    `prefix` - a object prefix
    `writeInto` - the directory in which the search has to appear

### addToPkg

    public void addToPkg(IdlObject obj,
                         java.lang.String name)

  Construct a package name
  Parameters:
    `name` - name of the superior level

### addPackageName

    public void addPackageName(java.io.PrintWriter output)

### addDescriptiveHeader

    public void addDescriptiveHeader(java.io.PrintWriter output,
                                     IdlObject obj)

  Add a descriptive header in a Java file
  Parameters:
    `output` - the target file
    `obj` - object which descriptive header has to be added

### translate_comment_section

    public void translate_comment_section(java.io.PrintWriter output,
                                          java.lang.String description,
                                          IdlObject obj)

  Translate a JavaDoc comments section

### javadoc

    public void javadoc(java.io.PrintWriter output,
                        IdlObject obj)

  Add a JavaDoc comment
  Parameters:
    `output` - the target file
    `obj` - the object the header has to be added

### final_kind

    public int final_kind(IdlObject obj)

  Returns the final type of a data type
  Parameters:
    `obj` - the object
  Returns:
    the final type

### final_type

    public IdlObject final_type(IdlObject obj)

  Returns the final definition of a data type
  Parameters:
    `obj` - the object
  Returns:
    the final definition

### fullname

    public java.lang.String fullname(IdlObject obj)

  Returns the complete name of a CORBA object
  Parameters:
    `obj` - the object the name has to be retrieved
  Returns:
    the complete name

### removePackageName

    public java.lang.String removePackageName(java.lang.String expr)

  Delete the package of an id

### isEnumCase

    public boolean isEnumCase(java.lang.String expr)

  Check if the the id is an enum member

### isSameScope

    public boolean isSameScope(java.lang.String ident,
                               IdlObject obj)

  Returns true if the element passed as argument is in the same scope as the second argument.

### IdlScopeToJavaScope

    public java.lang.String IdlScopeToJavaScope(java.lang.String expr,
                                                boolean complete,
                                                boolean fixed,
                                                IdlObject obj)

  Translate a Scope IDL Ident::Ident into Scoped Java Ident.Ident.value
  Parameters:
    `expr` - the IDL expression
  Returns:
    the equivalent Java expression

### isHexaCar

    public boolean isHexaCar(char c)

  Allow to test if the character is an hexa number
  Parameters:
    `c` - the character to test
  Returns:
    true if the character is an hexa number

### IdlEspaceCharToJavaEscapeChar

    public java.lang.String IdlEspaceCharToJavaEscapeChar(java.lang.String expr)

  Change the IDL escape characters into CORBA escape characters
  Parameters:
    `expr` - the IDL expression
  Returns:
    the equivalent Java expression

### translate_to_java_expression

    public java.lang.String translate_to_java_expression(java.lang.String expr,
                                                         boolean fixed,
                                                         IdlObject obj)

  Translate an IDL expression into a Java expression
  Parameters:
    `expr` - the IDL expression
  Returns:
    the equivalent Java expression

### translate_to_union_case_expression

    public java.lang.String translate_to_union_case_expression(IdlUnionMember disc,
                                                               java.lang.String expr)

  Translate an IDL expression into an union expression
  Parameters:
    `expr` - the IDL expression
  Returns:
    the equivalent Java expression

### translate_type

    public void translate_type(IdlObject obj,
                               java.io.PrintWriter output)

  Translate a data type
  Parameters:
    `obj` - the object to translate
    `output` - the write access

### translate_parameter

    public void translate_parameter(IdlObject obj,
                                    java.io.PrintWriter output,
                                    int attr)

  Translate a parameter
  Parameters:
    `obj` - param object to translate
    `output` - write access
    `attr` - parameter attribute

### recursion

    public int recursion(IdlObject obj)

  Find include depth for an object
  Parameters:
    `obj` - object to test
  Returns:
    include depth

### translate_typecode

    public void translate_typecode(IdlObject obj,
                                   java.io.PrintWriter output)

  Translate a TypeCode
  Parameters:
    `obj` - object to translate
    `output` - write access

### translate_any_insert

    public void translate_any_insert(IdlObject obj,
                                     java.io.PrintWriter output,
                                     java.lang.String aname,
                                     java.lang.String tname)

  Translate an any insert
  Parameters:
    `obj` - object to insert
    `output` - write access
    `aname` - any type name
    `tname` - type name to insert

### isTruncatable

    public boolean isTruncatable(IdlObject obj)

  This function looks for a truncatable interface in value type inheritance

### printConcreteTypeCode

    public void printConcreteTypeCode(IdlObject obj,
                                      java.io.PrintWriter output)

  This function prints the concrete base value type TypeCode

### translate_new_typecode

    public void translate_new_typecode(IdlObject obj,
                                       java.io.PrintWriter output)

  Construct a new TypeCode
  Parameters:
    `obj` - the typecode
    `output` - write access

### get_array_name

    public java.lang.String get_array_name(IdlObject obj)

  Return simple array name or null else

### translate_marshalling_member

    public void translate_marshalling_member(IdlObject obj,
                                             java.io.PrintWriter output,
                                             java.lang.String outname,
                                             java.lang.String tname,
                                             java.lang.String space)

  Encode a member data type
  Parameters:
    `obj` - member to encode
    `output` - write access
    `outname` - outputstream name
    `tname` - data type name
    `space` - indent space

### translate_unmarshalling_member

    public void translate_unmarshalling_member(IdlObject obj,
                                               java.io.PrintWriter output,
                                               java.lang.String inname,
                                               java.lang.String tname,
                                               java.lang.String space)

  Encode a member data type
  Parameters:
    `obj` - the member to encode
    `output` - write access
    `inname` - inputstream name
    `tname` - data type name
    `space` - indent space

### translate_marshalling_data

    public void translate_marshalling_data(IdlObject obj,
                                           java.io.PrintWriter output,
                                           java.lang.String outname,
                                           java.lang.String tname)

  Encode a data type
  Parameters:
    `obj` - the member to encode
    `output` - write access
    `outname` - outputstream name
    `tname` - data type name

### translate_unmarshalling_data

    public void translate_unmarshalling_data(IdlObject obj,
                                             java.io.PrintWriter output,
                                             java.lang.String inname)

  Decode a data type
  Parameters:
    `obj` - the member to decode
    `output` - write access
    `inname` - inputstream name

### translate_marshalling

    public void translate_marshalling(IdlObject obj,
                                      java.io.PrintWriter output,
                                      java.lang.String outname,
                                      java.lang.String tname)

  Encode a data type
  Parameters:
    `obj` - the data type to encode
    `output` - write access
    `outname` - outputstream name
    `tname` - data type name

### translate_unmarshalling

    public void translate_unmarshalling(IdlObject obj,
                                        java.io.PrintWriter output,
                                        java.lang.String inname)

  Decode a data type
  Parameters:
    `obj` - the data type to decode
    `output` - write access
    `inname` - inputstream name

### translate_constant

    public void translate_constant(IdlObject obj,
                                   java.io.File writeInto,
                                   java.io.PrintWriter print)

  Translate a constant
  Parameters:
    `obj` - the constant to translate
    `writeInto` - the directory where the constant must be defined

### isAbstractBaseInterface

    public boolean isAbstractBaseInterface(IdlObject obj)

  This function is used to test if an interface has some inherits from bases abstracts interfaces

### write_helper

    public void write_helper(IdlObject obj,
                             java.io.File writeInto)

  Add a Helper for a data type
  Parameters:
    `obj` - the object to translate
    `writeInto` - the directory where the object must be defined

### write_holder

    public void write_holder(IdlObject obj,
                             java.io.File writeInto)

  Add an holder for a data type
  Parameters:
    `obj` - the object to translate
    `writeInto` - the directory where the object must be defined

### translate_enum

    public void translate_enum(IdlObject obj,
                               java.io.File writeInto)

  Translate an enumeration
  Parameters:
    `obj` - the enum to be translated
    `writeInto` - the directory where the enum must be defined

### translate_struct

    public void translate_struct(IdlObject obj,
                                 java.io.File writeInto)

  Translate the structure
  Parameters:
    `obj` - le module to be translated
    `writeInto` - the directory where the structure must be defined

### find_default_value

    public java.lang.String find_default_value(IdlObject obj)

  Search the default value for an union
  Parameters:
    `obj` - the union
  Returns:
    default value

### translate_union

    public void translate_union(IdlObject obj,
                                java.io.File writeInto)

  Translate an union
  Parameters:
    `obj` - the union to translate
    `writeInto` - the directory where the union must be defined

### translate_typedef

    public void translate_typedef(IdlObject obj,
                                  java.io.File writeInto)

  Translate a typedef
  Parameters:
    `obj` - the typedef to translate
    `writeInto` - the directory where the typedef must be defined

### translate_exception

    public void translate_exception(IdlObject obj,
                                    java.io.File writeInto)

  Translate an exception
  Parameters:
    `obj` - exception to translate
    `writeInto` - the directory where the exception must be defined

### translate_attribute

    public void translate_attribute(IdlObject obj,
                                    java.io.PrintWriter output)

  Translate an attribute
  Parameters:
    `obj` - attribute to translate
    `output` - write access

### translate_user_attribute

    public void translate_user_attribute(IdlObject obj,
                                         java.io.PrintWriter output)

  Translate an attribute for the user code
  Parameters:
    `obj` - attribute to translate
    `output` - write access

### translate_attribute_tie

    public void translate_attribute_tie(IdlObject obj,
                                        java.io.PrintWriter output)

  Translate an attribute for a TIE approach
  Parameters:
    `obj` - attribute to translate
    `output` - write access

### translate_attribute_stub

    public void translate_attribute_stub(IdlObject obj,
                                         java.io.PrintWriter output)

  Translate an attribute
  Parameters:
    `obj` - attribute to translate
    `output` - write access

### translate_attribute_stub_stream

    public void translate_attribute_stub_stream(IdlObject obj,
                                                java.io.PrintWriter output)

  Translate an attribute with Stream mode
  Parameters:
    `obj` - attribute to translate
    `output` - write access

### translate_read_attribute_skel

    public void translate_read_attribute_skel(IdlObject obj,
                                              java.io.PrintWriter output)

  Translate a read attribute for a skeleton
  Parameters:
    `obj` - attribute to translate
    `output` - write access

### translate_read_attribute_skel_stream

    public void translate_read_attribute_skel_stream(IdlObject obj,
                                                     java.io.PrintWriter output)

  Translate a read attribute for a Stream mode skeleton
  Parameters:
    `obj` - attribute to translate
    `output` - write access

### translate_write_attribute_skel

    public void translate_write_attribute_skel(IdlObject obj,
                                               java.io.PrintWriter output)

  Translate a write attribute for a skeleton
  Parameters:
    `obj` - attribute to translate
    `output` - write access

### translate_write_attribute_skel_stream

    public void translate_write_attribute_skel_stream(IdlObject obj,
                                                      java.io.PrintWriter output)

  Translate a write attribute for a Stream mode skeleton
  Parameters:
    `obj` - attribute to translate
    `output` - write access

### getContext

    public IdlContext getContext(IdlObject obj)

  Return the context associated with an operation
  Parameters:
    `obj` - the operation
  Returns:
    associated context object

### translate_operation

    public void translate_operation(IdlObject obj,
                                    java.io.PrintWriter output)

  Translate an operation
  Parameters:
    `obj` - operation to translate
    `output` - write access

### translate_user_operation

    public void translate_user_operation(IdlObject obj,
                                         java.io.PrintWriter output)

  Translate an operation for the user code
  Parameters:
    `obj` - operation to translate
    `output` - write access

### translate_operation_tie

    public void translate_operation_tie(IdlObject obj,
                                        java.io.PrintWriter output)

  Translate an operation for the TIE approach
  Parameters:
    `obj` - operation to translate
    `output` - write access

### translate_operation_skel

    public void translate_operation_skel(IdlObject obj,
                                         java.io.PrintWriter output)

  Translate an operation for a skeleton
  Parameters:
    `obj` - operation to translate
    `output` - write access

### translate_operation_skel_stream

    public void translate_operation_skel_stream(IdlObject obj,
                                                java.io.PrintWriter output)

  Translate an operation for a skeleton with Stream mode
  Parameters:
    `obj` - operation to translate
    `output` - write access

### translate_operation_stub

    public void translate_operation_stub(IdlObject obj,
                                         java.io.PrintWriter output)

  Translate an operation
  Parameters:
    `obj` - operation to translate
    `output` - write access

### translate_operation_stub_stream

    public void translate_operation_stub_stream(IdlObject obj,
                                                java.io.PrintWriter output)

  Translate an operation in Stream mode
  Parameters:
    `obj` - operation to translate
    `output` - write access

### translate_interface_operations

    public void translate_interface_operations(IdlObject obj,
                                               java.io.File writeInto)

  Translate the operations declaration of an interface
  Parameters:
    `obj` - interface from which operations must be translated
    `writeInto` - the directory where the interface must be defined

### isEmptyInterface

    public boolean isEmptyInterface(IdlObject obj)

  This method an interface is empty in terms of type typedef, union, exception...

### isEmptyValue

    public boolean isEmptyValue(IdlObject obj)

  This method check a value type is empty in terms of type typedef, union, exception...

### isEmpty

    public boolean isEmpty(IdlObject obj)

  Check a type is empty in terms of type union, struct or enum

### translate_interface

    public void translate_interface(IdlObject obj,
                                    java.io.File writeInto)

  Translate an interface
  Parameters:
    `obj` - interface to translate
    `writeInto` - the directory where the interface must be defined

### translate_user_interface

    public void translate_user_interface(IdlObject obj,
                                         java.io.File writeInto)

  Translate an interface for the user
  Parameters:
    `obj` - interface to translate
    `writeInto` - the directory where the interface must be defined

### isInto

    public boolean isInto(java.util.List opList,
                          IdlObject obj)

  Check if the operation or the attribute is already in the list
  Parameters:
    `opList` - operations and attributes list
    `op` - the operation or attribute
  Returns:
    true if the operation or attribute is included in the list

### translate_interface_stub

    public void translate_interface_stub(IdlObject obj,
                                         java.io.File writeInto)

  Translate a syub for an interface
  Parameters:
    `obj` - the interface to translate
    `writeInto` - the directory where the interface must be defined

### translate_interface_skel

    public void translate_interface_skel(IdlObject obj,
                                         java.io.File writeInto)

  Translate a skeleton for an interface
  Parameters:
    `obj` - the interface to translate
    `writeInto` - the directory where the interface must be defined

### translate_interface_tie

    public void translate_interface_tie(IdlObject obj,
                                        java.io.File writeInto)

  Translate a TIE approach for an interface
  Parameters:
    `obj` - the interface to translate
    `writeInto` - the directory where the interface must be defined

### translate_module

    public void translate_module(IdlObject obj,
                                 java.io.File writeInto,
                                 int translateType)

  Translate a module
  Parameters:
    `obj` - the module to translate
    `writeInto` - the directory where the module must be defined

### translate_user_module

    public void translate_user_module(IdlObject obj,
                                      java.io.File writeInto)

  Translate a user module
  Parameters:
    `obj` - the module to translate
    `writeInto` - the directory where the module must be defined

### translate_state_member

    public void translate_state_member(IdlObject obj,
                                       java.io.PrintWriter output)

  Translate a value type state

### translate_value_type

    public void translate_value_type(IdlObject obj,
                                     java.io.File writeInto)

  Translate a Value Type
  Parameters:
    `obj` - la value type to translate
    `writeInto` - the directory where the module must be defined

### writeDefaultValueFactory

    public void writeDefaultValueFactory(IdlValue obj,
                                         java.io.File writeInto)

### writeDefaultValueImpl

    public void writeDefaultValueImpl(IdlValue obj,
                                      java.io.File writeInto)

### writeDefaultMethods

    public void writeDefaultMethods(java.io.PrintWriter output,
                                    IdlObject obj,
                                    java.util.Set ids)

### writeDefaultMethodsForValueTypes

    public void writeDefaultMethodsForValueTypes(java.io.PrintWriter output,
                                                 java.util.List list,
                                                 java.util.Set ids)

### writeDefaultMethodsForInterfaces

    public void writeDefaultMethodsForInterfaces(java.io.PrintWriter output,
                                                 java.util.List list,
                                                 java.util.Set ids)

### writeDefaultAttribute

    public void writeDefaultAttribute(java.io.PrintWriter output,
                                      IdlAttribute obj)

### writeDefaultOperation

    public void writeDefaultOperation(java.io.PrintWriter output,
                                      IdlOp obj)

### translate_value_box

    public void translate_value_box(IdlObject obj,
                                    java.io.File writeInto)

  Translate a Value Box
  Parameters:
    `obj` - the value box to translate
    `writeInto` - the directory where the module must be defined

### translate_native

    public void translate_native(IdlObject obj,
                                 java.io.File writeInto)

  Translate a native type
  Parameters:
    `obj` - the module to translate
    `writeInto` - the directory where the module must be defined

### translate_object_content

    public void translate_object_content(IdlObject obj,
                                         java.io.File writeInto,
                                         int translateType)

  Translate an object content

### translate_object

    public void translate_object(IdlObject obj,
                                 java.io.File writeInto,
                                 int translateType)

  Translate the data from a container object (Module, Interface, Root)
  Parameters:
    `obj` - the object to translate
    `writeInto` - the write access
    `translateType` - the translation type (0=data, 1=stub, 2=skeleton)

### translate_user_object

    public void translate_user_object(IdlObject obj,
                                      java.io.File writeInto)

  Translate the data from a container object (Module, Interface, Root) for the user code
  Parameters:
    `obj` - the object to translate
    `writeInto` - the write access

### translateData

    public void translateData(IdlObject obj,
                              java.lang.String packageName)

  Translate the data from IDL to Java
  Parameters:
    `obj` - The compilation graph root
    `packageName` - The directory where the definitions are added

### translateTIE

    public void translateTIE(IdlObject obj,
                             java.lang.String packageName)

  Create the class for the delegation
  Parameters:
    `obj` - The compilation graph root
    `packageName` - The directory where the definitions are added

### translateUser

    public void translateUser(IdlObject obj,
                              java.lang.String packageName)

  Generate the user code (implementation class)
  Parameters:
    `obj` - The compilation graph root
    `packageName` - The directory where the definitions are added

### translateStub

    public void translateStub(IdlObject obj,
                              java.lang.String packageName)

  Creates the stub
  Parameters:
    `obj` - The compilation graph root
    `packageName` - The directory where the definitions are added

### translateSkeleton

    public void translateSkeleton(IdlObject obj,
                                  java.lang.String packageName)

  Creates the skeleton
  Parameters:
    `obj` - The compilation graph root
    `packageName` - The directory where the definitions are added

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD